Subject: Updating databases/db4 to 4.3.21
To: None <>
From: Johnny C. Lam <>
List: tech-pkg
Date: 12/22/2004 16:27:37
I am planning to update databases/db4 to the latest release from 
Sleepycat, which is db-4.3.21.  Users with existing package that are 
built against db-4.2.52 should note that this release requires updating 
the log file format.  The procedure to successfully update your packages 
to use db-4.3.21 is given here:

For software writers, the changes that you'll need to be aware of to 
update your code to use db-4.3.21 are here:

Some packages will likely break in pkgsrc due to these changes.  I'll be 
fixing them as we find them in the bulk build results.


	-- Johnny Lam <>